Package com.emc.d2fs.models.taxonomy_operation

# Class TaxonomyNode

java.lang.Object
com.emc.d2fs.models.taxonomy_operation.TaxonomyNode

All Implemented Interfaces:
  `Serializable`

public class TaxonomyNode extends Object implements Serializable

Java class for taxonomy_node complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="taxonomy_node">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="taxnomy_nodes" type="{http://www.emc.com/d2fs/models/taxonomy_operation}taxonomy_node" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="dictionary_label" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="is_enabled" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="is_default" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="dictionary_value" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="level" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TaxonomyNode()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDictionaryLabel()`
  Gets the value of the dictionaryLabel property.
  `String`
  `getDictionaryValue()`
  Gets the value of the dictionaryValue property.
  `Integer`
  `getLevel()`
  Gets the value of the level property.
  `List<TaxonomyNode>`
  `getTaxnomyNodes()`
  Gets the value of the taxnomyNodes property.
  `Boolean`
  `isIsDefault()`
  Gets the value of the isDefault property.
  `Boolean`
  `isIsEnabled()`
  Gets the value of the isEnabled property.
  `void`
  `setDictionaryLabel(String value)`
  Sets the value of the dictionaryLabel property.
  `void`
  `setDictionaryValue(String value)`
  Sets the value of the dictionaryValue property.
  `void`
  `setIsDefault(Boolean value)`
  Sets the value of the isDefault property.
  `void`
  `setIsEnabled(Boolean value)`
  Sets the value of the isEnabled property.
  `void`
  `setLevel(Integer value)`
  Sets the value of the level property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaxonomyNode

    public TaxonomyNode()

- ## Method Details

  - ### getTaxnomyNodes

    public List<TaxonomyNode> getTaxnomyNodes()
    Gets the value of the taxnomyNodes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the taxnomyNodes property.

    For example, to add a new item, do as follows:

            getTaxnomyNodes().add(newItem);

    Objects of the following type(s) are allowed in the list `TaxonomyNode`

  - ### getDictionaryLabel

    public String getDictionaryLabel()
    Gets the value of the dictionaryLabel property.
    Returns:
      possible object is `String`

  - ### setDictionaryLabel

    public void setDictionaryLabel(String value)
    Sets the value of the dictionaryLabel property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsEnabled

    public Boolean isIsEnabled()
    Gets the value of the isEnabled property.
    Returns:
      possible object is `Boolean`

  - ### setIsEnabled

    public void setIsEnabled(Boolean value)
    Sets the value of the isEnabled property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### isIsDefault

    public Boolean isIsDefault()
    Gets the value of the isDefault property.
    Returns:
      possible object is `Boolean`

  - ### setIsDefault

    public void setIsDefault(Boolean value)
    Sets the value of the isDefault property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getDictionaryValue

    public String getDictionaryValue()
    Gets the value of the dictionaryValue property.
    Returns:
      possible object is `String`

  - ### setDictionaryValue

    public void setDictionaryValue(String value)
    Sets the value of the dictionaryValue property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLevel

    public Integer getLevel()
    Gets the value of the level property.
    Returns:
      possible object is `Integer`

  - ### setLevel

    public void setLevel(Integer value)
    Sets the value of the level property.
    Parameters:
      `value` - allowed object is `Integer`